Subject: [lojban] Re: paroi ro mentu

From: Jordan DeLong <[email-masked]>
Date: Sun, 29 Sep 2002 10:50:44 -0500

On Sat, Sep 28, 2002 at 10:28:33PM +0000, Jorge Llambias wrote:
> la djorden cusku di'e
> > > baku zo'u ge mi klama la paris gi mi klama la romas
> >
> >This works in this case, but as we discussed it's not something you
> >can generally do unless you move every other tense (and in the paroi
> >case, move everything with a quantifier) into the prenex also to
> >preserve order.
> 
> Of course, but exactly the same happens with {pa prenu}. You
> can't treat it separately from all other things that have
> relevant scope.

I agree.

> > > ta'eku mi klama la paris e la romas
> > >
> > > This is:
> > >
> > > ta'eku zo'u ge mi klama la paris gi mi klama la romas
> > > Typically, I go both to Paris and to Rome.
> >
> >I agree with the first line (though, as I said above it doesn't work
> >in the general case without moving other shit into the prenex also)
> 
> Of course, everything with scope that comes before it must move
> to the prenex before it.

Yes.

> >but I think your translation to english is bad. I think the sentence
> >means the translation you give for the next sentence. To get the
> >sentence you said, I think you would need either
> > ta'eku mi klama la paris. jo'u la romas.
> >or
> > ta'eku mi klama la paris. joi la romas.
> 
> Ok. That's a possibility. You're saying that tags never
> have scope over other sumti. Then when we apply this to
> {paroiku}:

I'm saying tags have scope defined by position, of course...

> (1a) paroiku mi klama la paris e la romas
> 
> expands to:
> 
> (1b) paroiku mi klama la paris ije paroiku mi klama la romas
> 
> And:
> 
> (2a) paroiku mi klama ro le re tcadu

As discussed, this transformation is lossy; you are saying the same thing
but only because of context, and this transformation also isn't guarenteed
to always be valid.

> expands to:
> 
> (2b) roda voi tcadu zo'u paroiku mi klama da
> For each of the (two) cities, I once went to it.

Nononono. You're breaking what we just talked about. Because "paroi"
has a quantifier, you can't just switch the order in which it appears
relative to da and claim it has the same meaning. You can do
paroi ku ro da voi tcadu zo'u mi klama da
if you want, but of course that wouldn't help you "proove" your viewpoint.

Note, btw, that since you are using a "ku" after paroi here paroi
is its own term, and you can't move other quantified terms to the
prenex without moving the ones before it if you want the same
meaning.

> Also:
> 
> (3) paroi le pavdei e le reldei mi klama la paris
> 
> will expand to:
> 
> (3a) paroi le pavdei mi klama la paris
> ije paroi le reldei mi klama la paris

I agree with this one.

> And similarly:
> 
> (4) paroi ro le re djedi mi klama la paris
> 
> will expand as:
> 
> (4a) roda voi djedi zo'u paroi da mi klama la paris

You're breaking the same rules again. "paroi ro le re djedi" is a
single term. You can't just bring parts of it forward, all of it
must go if you want to keep the same meaning. You could do
paroi roda voi djedi zo'u mi klama la paris.

> Q.E.D.

Umm yeah right...

It's quite clear to me that either convention for tag+sumti scopes
can be delt with consistently, and the book doesn't say which is
right. The book does say thing go left-to-right for terms, but
since these are in the same term in the parse it's not a definite
answer. I think left-to-right makes most sense, however, because it
seems to be what would be expected when using a tag which has a
quantifier in it, since everything else is left-to-right.

This might be something that is worth gathering usage statistics
on PAroi+sumti or just plain tag+sumti for all tags which can have
quantifiers (re'u, etc). If people have been mainly using it with
right-to-left, then since the book isn't definite here we would
probably go that way, but if not the normal futher-left-gets-wider-scope
rule seems to make sense.

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku